Some users may have gotten an automatically generated email, warning of an issue with their password. This is not a hoax of any kind. This was part of the vBulletin update. The new software checks for insecure passwords and requires users with them to change them immediately.

It does not mean your account has been compromised, only that you should have a more secure password. Please accept our apologies for any inconvenience.